import yt_dlp
import os

def download_youtube_channel(channel_url, output_path='.'):
    if not os.path.exists(output_path):
        os.makedirs(output_path)

    ydl_opts = {
        'format': 'best[height<=720]',
        'outtmpl': os.path.join(output_path, '%(uploader)s/%(upload_date)s - %(title)s.%(ext)s'),
        'ignoreerrors': True,
        'writedescription': True,
        'writeinfojson': True,
        'writesubtitles': True,
        'allsubs': True,
        'embedsubs': False,
        'merge_output_format': 'mp4',
        'ffmpeg_location': r'C:\Program Files\ffmpeg\bin',
    }

    with yt_dlp.YoutubeDL(ydl_opts) as ydl:
        try:
            ydl.download([channel_url])
            print(f"הורדת ערוץ {channel_url} הסתיימה בהצלחה לתיקייה: {output_path}")
        except Exception as e:
            print(f"אירעה שגיאה במהלך ההורדה: {e}")

if __name__ == "__main__":
    channel_to_download = "https://youtu.be/QUEpd_tCEIA"
    destination_folder = "YouTube_Channel_Downloads"
    download_youtube_channel(channel_to_download, destination_folder)
